- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Enables a single auth provider.
HTTP request
POST https://agentidentity.googleapis.com/v1/{name=projects/*/locations/*/authProviders/*}:enable
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The resource name of the auth provider. Format: projects/{project}/locations/{location}/authProviders/{authProvider} |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "requestId": string } |
| Fields | |
|---|---|
requestId |
Optional. An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes after the first request. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000). |
Response body
If successful, the response body contains an instance of AuthProvider.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
agentidentity.authProviders.update
For more information, see the IAM documentation.